apt 3.1.11 commandline package manager

Public Member Functions | List of all members
pkgCache::PkgFileIterator Class Reference
Inheritance diagram for pkgCache::PkgFileIterator:

## Public Member Functions
PackageFile * | OwnerPointer () const
PkgFileIterator & | operator++ ()
PkgFileIterator | operator++ (int)
const char * | FileName () const
pkgCache::RlsFileIterator | ReleaseFile () const
const char * | Archive () const
const char * | Version () const
const char * | Origin () const
const char * | Codename () const
const char * | Label () const
const char * | Site () const
bool | Flagged (pkgCache::Flag::ReleaseFileFlags const flag) const
bool | Flagged (pkgCache::Flag::PkgFFlags const flag) const
const char * | Component () const
const char * | Architecture () const
const char * | IndexType () const
std::string | RelStr ()
| PkgFileIterator (pkgCache &Owner)
| PkgFileIterator (pkgCache &Owner, PackageFile *Trg)
Public Member Functions inherited from pkgCache::Iterator< PackageFile, PkgFileIterator >
bool | end () const
bool | operator== (const PkgFileIterator &B) const
bool | operator!= (const PkgFileIterator &B) const
PackageFile * | operator-> ()
| operator PackageFile * ()
| operator PackageFile const * () const
PackageFile & | operator* ()
pkgCache * | Cache () const
bool | IsGood () const
unsigned long | Index () const
map_pointer< PackageFile > | MapPointer () const
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< PackageFile, PkgFileIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< PackageFile, PkgFileIterator >
PackageFile * | S
pkgCache * | Owner

The documentation for this class was generated from the following files:

- apt-pkg/cacheiterators.h
- apt-pkg/pkgcache.cc